Subject: [alpine-devel] [PATCH 1/9] testing/py-rencode: new aport

From: Stuart Cardall <[email-masked]>
Date: Sun, 24 Apr 2016 22:08:07 +0000

---
 testing/py-rencode/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/py-rencode/APKBUILD

diff --git a/testing/py-rencode/APKBUILD b/testing/py-rencode/APKBUILD
new file mode 100644
index 0000000..29187a8
--- /dev/null
+++ b/testing/py-rencode/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=py-rencode
+_pkgreal=${pkgname#py-*}
+pkgver=1.0.4
+_pkgver=${pkgver}-1
+pkgrel=0
+pkgdesc="Python module for fast (basic) object serialization similar to bencode"
+url="https://pypi.python.org/pypi/rencode"
+arch="all"
+license="GPL3"
+depends="python"
+depends_dev=""
+makedepends="python-dev cython-dev cython"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/r/$_pkgreal/$_pkgreal-$_pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="5f8507a5d089d55e6e98960bafa0b08f  rencode-1.0.4-1.tar.gz"
+sha256sums="8183a6ad9d49e233951cffa9bdb5dc9f17e1a188e2f08cc3b4fa21c41a46aa46  rencode-1.0.4-1.tar.gz"
+sha512sums="cdfc2921c590e78157fe0c157732e3dd125c8e109822da2fa8d9960bc8b36c931525bae7104b0ea180eb89e5d264f681b0e1bbd803bb06401f44ce68c5413f3b  rencode-1.0.4-1.tar.gz"
-- 
2.8.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---